// AbstractPrestoService.cs
//
// PRESTO Starter Kit for Microsoft .NET 3.0
// 2007 Microsoft France
// Published under the CECILL-B Free Software license agreement.
// (http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt)
// 
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE. 
// THE ENTIRE RISK OF USE OR RESULTS IN CONNECTION WITH THE USE OF THIS CODE 
// AND INFORMATION REMAINS WITH THE USER. 
//

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

using dgme.finances.gouv.fr.presto;

namespace Microsoft.Presto.StarterKit
{
    abstract public class AbstractPrestoService
    {
        protected void SaveMessage(allData msg)
        {
            string filename = null;
            try
            {
                filename = "Message_" + Guid.NewGuid() + msg.anyElement;
                if (File.Exists(filename)) File.Delete(filename);

                FileStream stream = File.Create(filename);
                stream.Write(msg.binaryElement, 0, msg.binaryElement.Length);
                stream.Close();

                OutputTrace.Log("File saved as: " + filename);
                ReceiveFilename.Receive(filename);
            }
            catch (Exception ex)
            {
                OutputTrace.Log(ex.Message);
            }
        }
    }
}
